Bug 219539 - Review Request: qt-qsa - QT Script for Applications
Review Request: qt-qsa - QT Script for Applications
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-13 15:54 EST by Julian Sikorski
Modified: 2010-07-19 00:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-21 19:22:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2006-12-13 15:54:39 EST
Spec URL: http://www.republika.pl/belegdol/rpmstuff/qsa.spec
SRPM URL: http://www.republika.pl/belegdol/rpmstuff/qsa-1.1.4-1.src.rpm
Description: Qt Script for Applications can be used to build scripable applications with Qt

Package builds fine inside mock. RPM is not completely silent, but I have fixed a bit more warnings/errors than qt4-qsa. The ones that still persist are as follows:
qsa-1.1.4-1.src.rpm
E: qsa configure-without-libdir-spec

rpmlint qsa-devel-1.1.4-1.i386.rpm
E: qsa-devel only-non-binary-in-usr-lib
W: qsa-devel hidden-file-or-dir /usr/share/doc/qsa-devel-1.1.4/examples/spreadsheet/.examplefiles
W: qsa-devel hidden-file-or-dir /usr/share/doc/qsa-devel-1.1.4/examples/spreadsheet/.examplefiles

This package will add qsa support for qt3.
Comment 1 Frank Büttner 2006-12-13 15:57:11 EST
We still have an QSA Package inside FC Extras.
Comment 2 Julian Sikorski 2006-12-13 16:04:40 EST
but the one you have packaged is for qt4 and does not work with qt3.
Comment 3 Frank Büttner 2006-12-13 16:07:01 EST
Because 1.2.1 can only run with Qt4.
Comment 4 Julian Sikorski 2006-12-13 16:10:44 EST
Indeed. That's why I packaged 1.1.4
Comment 5 Julian Sikorski 2006-12-13 16:12:22 EST
To clarify: qsa and qt4-qsa can be installed simultaneously, independently of
each other.
Comment 6 Frank Büttner 2006-12-13 16:28:11 EST
Yes but an better name will be qt3-qsa.
Comment 7 Julian Sikorski 2006-12-13 16:32:57 EST
Well, possibly. I can change that with next release. I can ask at tomorrow's
FESCO meeting as well.
Comment 8 Julian Sikorski 2006-12-14 04:17:57 EST
Well, how about qt-qsa?
Comment 9 Michał Bentkowski 2006-12-20 14:48:38 EST
I'll do the review.
Well, the first problem I noticed is non-building in mock:
RPM build errors:
    File not found by glob: /var/tmp/qsa-1.1.4-1.fc7-root-mockbuild/usr/lib64/
qt-3.3/lib64/libqsa.so.*
    File not found: /var/tmp/qsa-1.1.4-1.fc7-root-mockbuild/usr/lib64/qt-3.3/
lib64/libqsa.so

Also, before I make a full review, I recommend to get rid of dos2unix and use
sed instead.
Comment 10 Michał Bentkowski 2006-12-20 15:04:35 EST
In order to remove an error I mentioned above you have to simply delete
%ifarch lines in the beginning of the spec file.
Comment 11 Julian Sikorski 2006-12-20 15:22:44 EST
Spec URL: http://www.republika.pl/belegdol/rpmstuff/qt-qsa.spec
SRPM URL: http://www.republika.pl/belegdol/rpmstuff/qt-qsa-1.1.4-2.src.rpm
New release:
- Added missing headers
- Renamed to qt-qsa
- Got rif of dos2unix BuildRequires
- Fixed building on x86-64

I did not add Provides and Obsoletes because i don't think it's necessary in
such an early stage of review process.
Comment 12 Michał Bentkowski 2006-12-20 16:11:32 EST
MUST items:
 * rpmlint output:
E: qt-qsa-devel only-non-binary-in-usr-lib
W: qt-qsa-devel hidden-file-or-dir /usr/share/doc/qt-qsa-devel-1.1.4/examples/
spreadsheet/.examplefiles
W: qt-qsa-devel hidden-file-or-dir /usr/share/doc/qt-qsa-devel-1.1.4/examples/
spreadsheet/.examplefiles
E: qt-qsa configure-without-libdir-spec
it looks like we can ignore all the issues
 * package is named well
 * spec file name is good
 * package meets Packaging Guidelines
 * package is licensed with a GPL open-source compatible license
 * License field in spec file matches actual license
 * license file is included in %doc
 * md5sums are matching (24eb504e51de3a04161f6df8c39c24ac)
 * package successfully compiles on x86_64
 * BuildRequires listed well
 * no locales
 * %post and %postun sections present
 * relocatable
 * package owns directories well
 * no duplicates in %files
 * every %files section includes %defattr
 * proper %clean section
 * macros used well
!* -devel subpackage presents, but needs to have an additional dependency

THINGS to do:
 * qt-qsa-devel stores its files in %{_libdir}/qt-3.3/{include,mkspecs/
features} which
are owned by qt-devel so you need to append a qt-devel dependency to devel 
subpackage

Fix that and package will be approved.
Comment 13 Julian Sikorski 2006-12-20 16:22:21 EST
Spec URL: http://www.republika.pl/belegdol/rpmstuff/qt-qsa.spec
SRPM URL: http://www.republika.pl/belegdol/rpmstuff/qt-qsa-1.1.4-3.src.rpm
New release:
- Fixed typo in %%changelog
- Added qt-devel to -devel subpackage Requires
Comment 14 Michał Bentkowski 2006-12-20 16:25:17 EST
It looks good right now.
Approved.
Comment 15 Chitlesh GOORAH 2010-07-18 06:45:25 EDT
Package Change Request
=======================
Package Name: qt-qsa
Short Description:  QT Script for Applications
Owners: chitlesh
Branches: EL-5 EL-6
Comment 16 Kevin Fenzi 2010-07-19 00:29:04 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.